Pause VM
POST
/api/v1/vm/pause/{id}
const url = 'https://console.cloudlogics.com/api/v1/vm/pause/8f14e45f-ceea-467a-9f2c-1b1d3a5e77c2';const options = {method: 'POST', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://console.cloudlogics.com/api/v1/vm/pause/8f14e45f-ceea-467a-9f2c-1b1d3a5e77c2 \ --header 'Authorization: <Authorization>'Pause a virtual machine
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
VM ID
Responses
Section titled “Responses”Instance paused
Media typeapplication/json
string
Examplegenerated
exampleInvalid state transition
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}Internal server error
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}